io.etcd.jetcd.api

## Class WatchCreateRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.WatchCreateRequest

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, WatchCreateRequestOrBuilder, Serializable

    public final class WatchCreateRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements WatchCreateRequestOrBuilder

Protobuf type `etcdserverpb.WatchCreateRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `WatchCreateRequest.Builder` Protobuf type `etcdserverpb.WatchCreateRequest`
`static class` `WatchCreateRequest.FilterType` Protobuf enum `etcdserverpb.WatchCreateRequest.FilterType`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `FILTERS_FIELD_NUMBER`
`static int` `KEY_FIELD_NUMBER`
`static int` `PREV_KV_FIELD_NUMBER`
`static int` `PROGRESS_NOTIFY_FIELD_NUMBER`
`static int` `RANGE_END_FIELD_NUMBER`
`static int` `START_REVISION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static WatchCreateRequest` `getDefaultInstance()`
`WatchCreateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`WatchCreateRequest.FilterType` `getFilters(int index)` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersCount()` filters filter the events at server side before it sends back to the watcher.
`List<WatchCreateRequest.FilterType>` `getFiltersList()` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersValue(int index)` filters filter the events at server side before it sends back to the watcher.
`List<Integer>` `getFiltersValueList()` filters filter the events at server side before it sends back to the watcher.
`com.google.protobuf.ByteString` `getKey()` key is the key to register for watching.
`com.google.protobuf.Parser<WatchCreateRequest>` `getParserForType()`
`boolean` `getPrevKv()` If prev_kv is set, created watcher gets the previous KV before the event happens.
`boolean` `getProgressNotify()` progress_notify is set so that the etcd server will periodically send a WatchResponse with no events to the new watcher if there are no recent events.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the end of the range [key, range_end) to watch.
`int` `getSerializedSize()`
`long` `getStartRevision()` start_revision is an optional revision to watch from (inclusive).
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static WatchCreateRequest.Builder` `newBuilder()`
`static WatchCreateRequest.Builder` `newBuilder(WatchCreateRequest prototype)`
`WatchCreateRequest.Builder` `newBuilderForType()`
`protected WatchCreateRequest.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static WatchCreateRequest` `parseDelimitedFrom(InputStream input)`
`static WatchCreateRequest` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchCreateRequest` `parseFrom(byte[] data)`
`static WatchCreateRequest` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchCreateRequest` `parseFrom(ByteBuffer data)`
`static WatchCreateRequest` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchCreateRequest` `parseFrom(com.google.protobuf.ByteString data)`
`static WatchCreateRequest` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchCreateRequest` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static WatchCreateRequest` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchCreateRequest` `parseFrom(InputStream input)`
`static WatchCreateRequest` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<WatchCreateRequest>` `parser()`
`WatchCreateRequest.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### KEY_FIELD_NUMBER

    public static final int KEY_FIELD_NUMBER

See Also:
  Constant Field Values

#### RANGE_END_FIELD_NUMBER

    public static final int RANGE_END_FIELD_NUMBER

See Also:
  Constant Field Values

#### START_REVISION_FIELD_NUMBER

    public static final int START_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### PROGRESS_NOTIFY_FIELD_NUMBER

    public static final int PROGRESS_NOTIFY_FIELD_NUMBER

See Also:
  Constant Field Values

#### FILTERS_FIELD_NUMBER

    public static final int FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### PREV_KV_FIELD_NUMBER

    public static final int PREV_KV_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the key to register for watching.

`bytes key = 1;`

Specified by:
  `getKey` in interface `WatchCreateRequestOrBuilder`
Returns:
  The key.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end is the end of the range [key, range_end) to watch. If range_end is not given,
     only the key argument is watched. If range_end is equal to '\0', all keys greater than
     or equal to the key argument are watched.
     If the range_end is one bit larger than the given key,
     then all keys with the prefix (the given key) will be watched.

`bytes range_end = 2;`

Specified by:
  `getRangeEnd` in interface `WatchCreateRequestOrBuilder`
Returns:
  The rangeEnd.

#### getStartRevision

    public long getStartRevision()

     start_revision is an optional revision to watch from (inclusive). No start_revision is "now".

`int64 start_revision = 3;`

Specified by:
  `getStartRevision` in interface `WatchCreateRequestOrBuilder`
Returns:
  The startRevision.

#### getProgressNotify

    public boolean getProgressNotify()

     progress_notify is set so that the etcd server will periodically send a WatchResponse with
     no events to the new watcher if there are no recent events. It is useful when clients
     wish to recover a disconnected watcher starting from a recent known revision.
     The etcd server may decide how often it will send notifications based on current load.

`bool progress_notify = 4;`

Specified by:
  `getProgressNotify` in interface `WatchCreateRequestOrBuilder`
Returns:
  The progressNotify.

#### getFiltersList

    public List<WatchCreateRequest.FilterType> getFiltersList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersList` in interface `WatchCreateRequestOrBuilder`
Returns:
  A list containing the filters.

#### getFiltersCount

    public int getFiltersCount()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersCount` in interface `WatchCreateRequestOrBuilder`
Returns:
  The count of filters.

#### getFilters

    public WatchCreateRequest.FilterType getFilters(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFilters` in interface `WatchCreateRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The filters at the given index.

#### getFiltersValueList

    public List<Integer> getFiltersValueList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersValueList` in interface `WatchCreateRequestOrBuilder`
Returns:
  A list containing the enum numeric values on the wire for filters.

#### getFiltersValue

    public int getFiltersValue(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersValue` in interface `WatchCreateRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of filters at the given index.

#### getPrevKv

    public boolean getPrevKv()

     If prev_kv is set, created watcher gets the previous KV before the event happens.
     If the previous KV is already compacted, nothing will be returned.

`bool prev_kv = 6;`

Specified by:
  `getPrevKv` in interface `WatchCreateRequestOrBuilder`
Returns:
  The prevKv.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static WatchCreateRequest parseFrom(ByteBuffer data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(ByteBuffer data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(com.google.protobuf.ByteString data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(com.google.protobuf.ByteString data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(byte[] data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(byte[] data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchCreateRequest parseFrom(InputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchCreateRequest parseFrom(InputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static WatchCreateRequest parseDelimitedFrom(InputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static WatchCreateRequest parseDelimitedFrom(InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchCreateRequest parseFrom(com.google.protobuf.CodedInputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchCreateRequest parseFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public WatchCreateRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static WatchCreateRequest.Builder newBuilder()

#### newBuilder

    public static WatchCreateRequest.Builder newBuilder(WatchCreateRequest prototype)

#### toBuilder

    public WatchCreateRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected WatchCreateRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static WatchCreateRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<WatchCreateRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<WatchCreateRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public WatchCreateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`